Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.mockito.internal.creation
Class MethodInterceptorFilter

    java.lang.Object
      org.mockito.internal.creation.MethodInterceptorFilter

All Implemented Interfaces:
  java.io.Serializable, org.mockito.cglib.proxy.Callback, org.mockito.cglib.proxy.MethodInterceptor

    public class MethodInterceptorFilter

extends java.lang.Object
implements org.mockito.cglib.proxy.MethodInterceptor, java.io.Serializable

See Also:
  Serialized Form

Constructor Summary
`MethodInterceptorFilter(InternalMockHandler handler, MockCreationSettings mockSettings)`

Method Summary
`MockitoMethod` | `createMockitoMethod(java.lang.reflect.Method method)`
`MockitoMethodProxy` | `createMockitoMethodProxy(org.mockito.cglib.proxy.MethodProxy methodProxy)`
`MockHandler` | `getHandler()`
`java.lang.Object` | `intercept(java.lang.Object proxy, java.lang.reflect.Method method, java.lang.Object[] args, org.mockito.cglib.proxy.MethodProxy methodProxy)`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### MethodInterceptorFilter

    public MethodInterceptorFilter(InternalMockHandler handler,
                                   MockCreationSettings mockSettings)

Method Detail

### intercept

    public java.lang.Object intercept(java.lang.Object proxy,
                                      java.lang.reflect.Method method,
                                      java.lang.Object[] args,
                                      org.mockito.cglib.proxy.MethodProxy methodProxy)
                               throws java.lang.Throwable

  Specified by:
    `intercept` in interface `org.mockito.cglib.proxy.MethodInterceptor`
  Throws:
    `java.lang.Throwable`

### getHandler

    public MockHandler getHandler()

### createMockitoMethodProxy

    public MockitoMethodProxy createMockitoMethodProxy(org.mockito.cglib.proxy.MethodProxy methodProxy)

### createMockitoMethod

    public MockitoMethod createMockitoMethod(java.lang.reflect.Method method)

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD